Bug 309871 - Kmail shows html formatted from plain text in preview tooltip
Summary: Kmail shows html formatted from plain text in preview tooltip
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: message list (show other bugs)
Version: 4.9.2
Platform: Ubuntu Packages Linux
: NOR major with 1 vote (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-10 19:25 UTC by francisco_t
Modified: 2012-11-10 22:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.4


Attachments
shot (39.83 KB, image/jpeg)
2012-11-10 20:55 UTC, francisco_t
Details

Note You need to log in before you can comment on or make changes to this bug.
Description francisco_t 2012-11-10 19:25:25 UTC
I have an email with plain text like this:
<a href="https://plus.google.com/">Find us on Google+</a>

In the message list, when the mouse is over the email, in the preview of the tooltip, HTML is formatted.
Comment 1 francisco_t 2012-11-10 19:33:19 UTC
Content type is only plain text:

User-Agent: KMail/4.9.2 (Linux/3.5.0-18-generic; KDE/4.9.2; x86_64; ; )
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

<a href="http://">Click here</a>
Comment 2 Laurent Montel 2012-11-10 19:52:46 UTC
"In the message list, when the mouse is over the email, in the preview of the tooltip, HTML is formatted." ? what means ?

Could you paste your email example ?
Could you paste a screenshot about problem ?

And what do you expect ?
Comment 3 francisco_t 2012-11-10 20:55:50 UTC
Created attachment 75162 [details]
shot
Comment 4 francisco_t 2012-11-10 20:57:38 UTC
Source code from email example:

From: Francisco <xxxx@foo.com>
Reply-To: Francisco Toca <xxxxa@foo.com>
Subject: uno
Date: Sat, 10 Nov 2012 20:12:48 +0100
Message-ID: <4545409.GQ5KZBvnFm@xxxh>
X-KMail-SignatureActionEnabled: false
X-KMail-EncryptActionEnabled: false
X-KMail-CryptoMessageFormat: 15
X-KMail-Identity: 1205343954
X-KMail-Transport: 516139820
X-KMail-Fcc: 13
X-KMail-Drafts: 11
User-Agent: KMail/4.9.2 (Linux/3.5.0-18-generic; KDE/4.9.2; x86_64; ; )
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

<a href="https://">click here</a>
Comment 5 Laurent Montel 2012-11-10 22:35:40 UTC
Git commit d182c4b008a00bac68c5bab9f5ff688617cb6e26 by Montel Laurent.
Committed on 10/11/2012 at 22:35.
Pushed by mlaurent into branch 'KDE/4.9'.

Fix Bug 309871 - Kmail shows html formatted from plain text in preview

tooltip

FIXED-IN: 4.9.4

M  +1    -1    messagelist/core/view.cpp

http://commits.kde.org/kdepim/d182c4b008a00bac68c5bab9f5ff688617cb6e26